## python-augeas 0.4.1

=== Makefile ===
PREFIX := /usr

VERSION = $(shell grep version setup.py|sed -e "s/^[^']*//;s/[',]//g;")

all: build

clean:
	PREFIX=$(PREFIX) python setup.py clean
	rm -f augeas.py* 

distclean: clean
	rm -fr build dist MANIFEST

build: augeas.py

install:
	PREFIX=$(PREFIX) python setup.py install

sdist:
	PREFIX=$(PREFIX) python setup.py sdist

check:
	make -C test check

srpm: sdist
	cp python-augeas.spec dist
	rpmbuild -bs --define "_srcrpmdir ."  --define '_sourcedir dist' dist/python-augeas.spec

.PHONY: sdist install build clean check distclean srpm

## python-augeas 0.3.0

=== debian/changelog ===
python-augeas (0.3.0-2) unstable; urgency=low

  * Add debian/gbp.conf file.
  * Switch to format 3.0 (quilt).
  * debian/control:
    - Update my email address.
    - Bump Standards.
    - Add Vcs fields.
    - Remove ${shlibs:Depends} macro.
  * Use the form 'dh  --foo=bar' for compatibility with DH 8.
  * Update debian/copyright file.
  * Use XS-Python-Version field instead of debian/pyversions.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 Aug 2010 11:31:54 +0200

python-augeas (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders field.
  * Bump Standards up to 3.8.3.
  * Switch to debhelper 7, drop cdbs.
  * Bump debhelper to 7.3.7 due to the use of --buildsystem option.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 11 Dec 2009 17:29:33 +0100

python-augeas (0.2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - added libaugeas0 to Depends; thanks to Guido Günther for the report and to
      Daniel Leidert for the patch; Closes: #504511
  * Prepare for the upcoming Python 2.6 transition; thanks to Scott Kitterman
    for the report; Closes: #552491
    - debian/control
      + Build-depends on 'python (>= 2.5)' instead of python-dev (it's arch:all)
      + Depends on '${python:Depends}' instead of 'python (>= 2.5)'
      + drop 'python-ctypes' from Depends: it's py2.4 only (this pkg >= 2.5)
    - debian/pyversions
      + allows Python from 2.5 onward

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Nov 2009 20:52:11 +0100

python-augeas (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #496830)

 -- Free Ekanayaka <freee@debian.org>  Tue, 19 Aug 2008 10:37:52 +0200

=== debian/control ===
Source: python-augeas
Section: python
Priority: optional
Maintainer: Free Ekanayaka <freee@debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.3.7~),
 python-support,
 python (>= 2.5)
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://augeas.net/
Vcs-Git: git://git.debian.org/collab-maint/python-augeas.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-augeas.git

Package: python-augeas
Architecture: all
Depends: ${python:Depends},
 libaugeas0,
 ${misc:Depends}
Description: Python bindings for Augeas
 Augeas is a library and command line tool that focuses
 on the most basic problem in handling Linux configurations
 programmatically: editing actual configuration files in a
 controlled manner.
 .
 This module provides a Python interface to the Augeas API.

## python-augeas 0.4.0

=== debian/changelog ===
python-augeas (0.4.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:52 +0200

python-augeas (0.4.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 00:31:09 +0100

python-augeas (0.4.0-1) experimental; urgency=low

  * New upstream release.
  * {Build-,}Depend on libaugeas0 >= 0.7.2.
  * Build-depends on python-all (>= 2.6.5).

 -- Alessio Treglia <alessio@debian.org>  Wed, 12 Jan 2011 14:51:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Free Ekanayaka <freee@debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.3.7~),
- python-support,
- python (>= 2.5)
+ libaugeas0 (>= 0.7.2),
+ python-all (>= 2.6.5)
 Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Homepage: http://augeas.net/
 Vcs-Git: git://git.debian.org/collab-maint/python-augeas.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-augeas.git
@@ -15,7 +15,7 @@
 Package: python-augeas
 Architecture: all
 Depends: ${python:Depends},
- libaugeas0,
+ libaugeas0 (>= 0.7.2),
  ${misc:Depends}
 Description: Python bindings for Augeas
  Augeas is a library and command line tool that focuses

## python-augeas 0.4.1

=== debian/changelog ===
python-augeas (0.4.1-2) unstable; urgency=low

  * collab-maint team upload.
  * ACK NMU, thanks to Luca Falavigna for the good work. (Closes: #707895)
  * Drop myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 Oct 2013 16:27:37 +0100

python-augeas (0.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop dependency on libpython2.6 (Closes: #707895).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 12 May 2013 16:44:37 +0200

python-augeas (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Depend on libpython2.6 and libpython2.7 (Closes: #654321)

 -- Free Ekanayaka <freee@debian.org>  Mon, 01 Oct 2012 09:12:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Free Ekanayaka <freee@debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.3.7~),
+Build-Depends:
+ debhelper (>= 7.3.7~),
  libaugeas0 (>= 0.7.2),
  python-all (>= 2.6.5)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 Homepage: http://augeas.net/
 Vcs-Git: git://git.debian.org/collab-maint/python-augeas.git
@@ -14,9 +14,11 @@
 
 Package: python-augeas
 Architecture: all
-Depends: ${python:Depends},
+Depends:
  libaugeas0 (>= 0.7.2),
- ${misc:Depends}
+ libpython2.7 (>= 2.7),
+ ${misc:Depends},
+ ${python:Depends}
 Description: Python bindings for Augeas
  Augeas is a library and command line tool that focuses
  on the most basic problem in handling Linux configurations

=== debian/watch ===
# Site		Directory	Pattern		Version	Script
version=3
http://augeas.net/download/python/python-augeas-(.*)\.tar\.gz	debian	uupdate

## python-augeas 0.5.0

=== debian/changelog ===
python-augeas (0.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937588, #734557

 -- Sandro Tosi <morph@debian.org>  Wed, 16 Oct 2019 22:17:14 -0400

python-augeas (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Enable Python3 build, switch to Pybuild (Closes: #777544)
  * Switch to Debhelper 9
  * Replace broken link with GitHub repo
  * Bump Standards-Version to 3.9.6
  * Set Vcs-Git and Vcs-Browser to canonical value
  * Update copyright file format

 -- Federico Ceratto <federico@debian.org>  Sun, 05 Jul 2015 11:50:07 +0100

=== debian/control ===
Source: python-augeas
Section: python
Priority: optional
Maintainer: Free Ekanayaka <freee@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 libaugeas0 (>= 0.7.2),
 python3-all
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Homepage: http://augeas.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/python-augeas.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-augeas.git

Package: python3-augeas
Architecture: all
Depends:
 libaugeas0 (>= 0.7.2),
 ${misc:Depends},
 ${python3:Depends}
Description: Python3 bindings for Augeas
 Augeas is a library and command line tool that focuses
 on the most basic problem in handling Linux configurations
 programmatically: editing actual configuration files in a
 controlled manner.
 .
 This module provides a Python3 interface to the Augeas API.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=augeas
export PYBUILD_DESTDIR_python3=debian/python3-augeas/

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-augeas-$1\.tar\.gz/ \
  https://github.com/hercules-team/python-augeas/tags .*/v?(\d\S*)\.tar\.gz

## python-augeas 1.2.0

=== Makefile ===
--- 
+++ 
@@ -6,12 +6,13 @@
 
 clean:
 	PREFIX=$(PREFIX) python setup.py clean
-	rm -f augeas.py* 
+	rm -f augeas.py*
 
 distclean: clean
 	rm -fr build dist MANIFEST
 
-build: augeas.py
+build:
+	PREFIX=$(PREFIX) python setup.py build
 
 install:
 	PREFIX=$(PREFIX) python setup.py install
@@ -20,7 +21,7 @@
 	PREFIX=$(PREFIX) python setup.py sdist
 
 check:
-	make -C test check
+	PREFIX=$(PREFIX) python setup.py test
 
 srpm: sdist
 	cp python-augeas.spec dist

=== debian/changelog ===
python-augeas (1.2.0-1) unstable; urgency=medium

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ наб ]
  * New upstream version 1.2.0 (Closes: #947106)
    + Build-Depends: python3-cffi
    + Build-Depends: libpython3-all-dev
    + Build-Depends: libaugeas0 -> libaugeas-dev
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Drop ancient X-Python-Version & X-Python-Version3 fields
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Drop libaugeas0 >= 0.7.2 restriction
  * Build-Depends: python3-setuptools (Closes: #1080723)
  * d/docs: update for new upstream version
  * Architecture: all -> any. Depends: libaugeas0 -> ${shlibs:Depends}
  * Fix superfluous-file-pattern ./debian/*

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 14 Dec 2024 04:14:51 +0100

=== debian/control ===
Source: python-augeas
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Free Ekanayaka <freee@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libaugeas-dev,
 python3-all,
 python3-setuptools,
 python3-cffi,
 libpython3-all-dev,
Standards-Version: 4.7.0
Homepage: http://augeas.net/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-augeas.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-augeas

Package: python3-augeas
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends}
Description: Python3 bindings for Augeas
 Augeas is a library and command line tool that focuses
 on the most basic problem in handling Linux configurations
 programmatically: editing actual configuration files in a
 controlled manner.
 .
 This module provides a Python3 interface to the Augeas API.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=augeas
export PYBUILD_DESTDIR=debian/python3-augeas/
export PYBUILD_AFTER_TEST=find -name 'test*.out' -delete; find -type d -empty -delete

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-augeas-$1\.tar\.gz/ \
  https://github.com/hercules-team/python-augeas/tags .*/v?(\d\S*)\.tar\.gz
